-- MySQL dump 10.11
--
-- Host: localhost    Database: opmon
-- ------------------------------------------------------
-- Server version	5.0.45
CREATE DATABASE IF NOT EXISTS `seagull`;
USE `seagull`

CREATE TABLE `module` (
  `module_id` int(11) NOT NULL default '0',
  `is_configurable` smallint(1) default NULL,
  `name` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `description` text,
  `admin_uri` varchar(255) default NULL,
  `icon` varchar(255) default NULL,
  `maintainers` text,
  `version` varchar(8) default NULL,
  `license` varchar(16) default NULL,
  `state` varchar(8) default NULL,
  PRIMARY KEY  (`module_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO module VALUES(416, 1, 'baseline', 'Baseline', 'Baseline module', NULL, NULL, 'OpServices', NULL, 'OTHER', 'alpha');

USE `opcfg`;

CREATE TABLE `baseline` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) DEFAULT NULL,
  `description` varchar(128) DEFAULT NULL,
  `type` tinyint(4) DEFAULT '0',
  `samples` int(11) DEFAULT '5',
  `alarm` tinyint(4) DEFAULT '3',
  `multiply_up` double DEFAULT NULL,
  `multiply_down` double DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `id_name` (`name`),
  KEY `id_type` (`type`)
) DEFAULT CHARSET=utf8;

ALTER TABLE `baseline` ADD COLUMN `created` TIMESTAMP NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `baseline` ADD COLUMN `last_update` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;
ALTER TABLE `baseline` ADD UNIQUE (`name`);

CREATE TABLE `baseline_calendar` (
  `baseline_id` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL DEFAULT '0000-00-00',
  `util` varchar(128) DEFAULT NULL,
  `alarm` tinyint(4) DEFAULT '3',
  `samples` int(11) DEFAULT '5',
  `multiply_up` double DEFAULT NULL,
  `multiply_down` double DEFAULT NULL,
  PRIMARY KEY (`baseline_id`,`date`)
) DEFAULT CHARSET=utf8;

ALTER TABLE `baseline_calendar` MODIFY `util` TINYINT(1) NOT NULL;
ALTER TABLE `baseline_calendar` CHANGE COLUMN alarm alarm tinyint(4) DEFAULT '3' AFTER `samples`;
